Labels(3)

Name
Labels

Synopsis

Module Labels

Documentation

1 Attached to unit

2 Attached to nothing

module A : sig ... end

type t
Attached to type

val f : t
Attached to value

val e : unit -> t
Attached to external

module type S = sig

2.1.1 Attached to module type

end

class c : object ... end

class type  cs = object

2.1.2 Attached to class type

end

exception E
Attached to exception

type x = ..

type x +=
| X
Attached to extension

module S := A
Attached to module subst

type s := t
Attached to type subst

type u =
| A'
(* Attached to constructor *)

type v = {
f : t;
(* Attached to field *)
}

Testing that labels can be referenced

• Attached to unit
• Attached to nothing
• Attached to module
• Attached to type
• Attached to value
• Attached to module type
• Attached to class
• Attached to class type
• Attached to exception
• Attached to extension
• Attached to module subst
• Attached to type subst
• Attached to constructor
• Attached to field